"use client";

import { useEffect } from "react";

declare global {
  interface Window {
    adsbygoogle: any[];
  }
}

export default function AdSense() {
  useEffect(() => {
    const loadAdSenseScript = () => {
      if (!document.querySelector('script[src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"]')) {
        const script = document.createElement("script");
        script.src = "https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js";
        script.async = true;
        script.setAttribute("data-ad-client", "ca-pub-5526850774455450");
        document.head.appendChild(script);
        console.log("AdSense script loaded");
      }
    };

    const attemptAdLoad = () => {
      window.adsbygoogle = window.adsbygoogle || [];
      try {
        window.adsbygoogle.push({});
        console.log("AdSense ad loaded");
      } catch (e) {
        console.error("Error loading AdSense ads:", e);
      }
    };

    const retryAdLoad = () => {
      const adElements = document.querySelectorAll(".adsbygoogle");
      adElements.forEach((adElement) => {
        if (adElement && !adElement.getAttribute("data-loaded")) {
          attemptAdLoad();
          adElement.setAttribute("data-loaded", "true");
        }
      });
    };

    loadAdSenseScript();

    const retryInterval = setInterval(() => {
      retryAdLoad();
    }, 1000); // Check every 1 second

    return () => {
      clearInterval(retryInterval);
    };
  }, []);

  return (
    <>
      <div className="hidden md:block">
        {/* Square Ad for PC */}
        <div className="adsense-square">
          <ins
            className="adsbygoogle"
            style={{ display: "block" }}
            data-ad-client="ca-pub-5526850774455450"
            data-ad-slot="2636112755"
            data-ad-format="auto"
            data-full-width-responsive="true"
            data-loaded="false"
          ></ins>
        </div>
      </div>

      <div className="block md:hidden">
        {/* Horizontal Ad for Mobile */}
        <div className="adsense-horizontal">
          <ins
            className="adsbygoogle"
            style={{ display: "block" }}
            data-ad-client="ca-pub-5526850774455450"
            data-ad-slot="8884827265"
            data-ad-format="auto"
            data-full-width-responsive="true"
            data-loaded="false"
          ></ins>
        </div>
      </div>
    </>
  );
}
